Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.marshalling.impl
Class JBPMMessages.ProcessInstance

    java.lang.Object
      com.google.protobuf.AbstractMessageLite
          com.google.protobuf.AbstractMessage
              com.google.protobuf.GeneratedMessage
                  org.jbpm.marshalling.impl.JBPMMessages.ProcessInstance

All Implemented Interfaces:
  com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable, JBPMMessages.ProcessInstanceOrBuilder

Enclosing class:
  JBPMMessages

    public static final class JBPMMessages.ProcessInstance

extends com.google.protobuf.GeneratedMessage
implements JBPMMessages.ProcessInstanceOrBuilder

See Also:
  Serialized Form

Nested Class Summary
`static class` | `JBPMMessages.ProcessInstance.Builder`
`static class` | `JBPMMessages.ProcessInstance.ExclusiveGroupInstance`
`static interface` | `JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder`
`static class` | `JBPMMessages.ProcessInstance.NodeInstance`
`static class` | `JBPMMessages.ProcessInstance.NodeInstanceContent`
`static interface` | `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`
`static interface` | `JBPMMessages.ProcessInstance.NodeInstanceOrBuilder`
`static class` | `JBPMMessages.ProcessInstance.NodeInstanceType`
`static class` | `JBPMMessages.ProcessInstance.SwimlaneContextInstance`
`static interface` | `JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder`

Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage
`com.google.protobuf.GeneratedMessage.BuilderParent, com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessage.ExtendableBuilder>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingType extends com.google.protobuf.Message,Type>`

Field Summary
`static int` | `EXCLUSIVE_GROUP_FIELD_NUMBER`
`static int` | `ID_FIELD_NUMBER`
`static int` | `NODE_INSTANCE_COUNTER_FIELD_NUMBER`
`static int` | `NODE_INSTANCE_FIELD_NUMBER`
`static int` | `PROCESS_ID_FIELD_NUMBER`
`static int` | `PROCESS_TYPE_FIELD_NUMBER`
`static int` | `PROCESS_XML_FIELD_NUMBER`
`static int` | `STATE_FIELD_NUMBER`
`static int` | `SWIMLANE_CONTEXT_FIELD_NUMBER`
`static int` | `VARIABLE_FIELD_NUMBER`

Fields inherited from class com.google.protobuf.GeneratedMessage
`alwaysUseFieldBuilders`

Method Summary
`static JBPMMessages.ProcessInstance` | `getDefaultInstance()`
`JBPMMessages.ProcessInstance` | `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
`JBPMMessages.ProcessInstance.ExclusiveGroupInstance` | `getExclusiveGroup(int index)`
`int` | `getExclusiveGroupCount()`
`List<JBPMMessages.ProcessInstance.ExclusiveGroupInstance>` | `getExclusiveGroupList()`
`JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder` | `getExclusiveGroupOrBuilder(int index)`
`List<? extends JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder>` | `getExclusiveGroupOrBuilderList()`
`long` | `getId()`
`JBPMMessages.ProcessInstance.NodeInstance` | `getNodeInstance(int index)`
`int` | `getNodeInstanceCount()`
`long` | `getNodeInstanceCounter()`
`List<JBPMMessages.ProcessInstance.NodeInstance>` | `getNodeInstanceList()`
`JBPMMessages.ProcessInstance.NodeInstanceOrBuilder` | `getNodeInstanceOrBuilder(int index)`
`List<? extends JBPMMessages.ProcessInstance.NodeInstanceOrBuilder>` | `getNodeInstanceOrBuilderList()`
`String` | `getProcessId()`
`String` | `getProcessType()`
`String` | `getProcessXml()`
`int` | `getSerializedSize()`
`int` | `getState()`
`JBPMMessages.ProcessInstance.SwimlaneContextInstance` | `getSwimlaneContext(int index)`
`int` | `getSwimlaneContextCount()`
`List<JBPMMessages.ProcessInstance.SwimlaneContextInstance>` | `getSwimlaneContextList()`
`JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder` | `getSwimlaneContextOrBuilder(int index)`
`List<? extends JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder>` | `getSwimlaneContextOrBuilderList()`
`JBPMMessages.Variable` | `getVariable(int index)`
`int` | `getVariableCount()`
`List<JBPMMessages.Variable>` | `getVariableList()`
`JBPMMessages.VariableOrBuilder` | `getVariableOrBuilder(int index)`
`List<? extends JBPMMessages.VariableOrBuilder>` | `getVariableOrBuilderList()`
`boolean` | `hasId()`
`boolean` | `hasNodeInstanceCounter()`
`boolean` | `hasProcessId()`
`boolean` | `hasProcessType()`
`boolean` | `hasProcessXml()`
`boolean` | `hasState()`
`protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
`boolean` | `isInitialized()`
`static JBPMMessages.ProcessInstance.Builder` | `newBuilder()`
`static JBPMMessages.ProcessInstance.Builder` | `newBuilder(JBPMMessages.ProcessInstance prototype)`
`JBPMMessages.ProcessInstance.Builder` | `newBuilderForType()`
`protected JBPMMessages.ProcessInstance.Builder` | `newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)`
`static JBPMMessages.ProcessInstance` | `parseDelimitedFrom(InputStream input)`
`static JBPMMessages.ProcessInstance` | `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JBPMMessages.ProcessInstance` | `parseFrom(byte[] data)`
`static JBPMMessages.ProcessInstance` | `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JBPMMessages.ProcessInstance` | `parseFrom(com.google.protobuf.ByteString data)`
`static JBPMMessages.ProcessInstance` | `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JBPMMessages.ProcessInstance` | `parseFrom(com.google.protobuf.CodedInputStream input)`
`static JBPMMessages.ProcessInstance` | `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JBPMMessages.ProcessInstance` | `parseFrom(InputStream input)`
`static JBPMMessages.ProcessInstance` | `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`JBPMMessages.ProcessInstance.Builder` | `toBuilder()`
`protected Object` | `writeReplace()`
`void` | `writeTo(com.google.protobuf.CodedOutputStream output)`

Methods inherited from class com.google.protobuf.GeneratedMessage
`getAllFields, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, newFileScopedGeneratedExtension, newMessageScopedGeneratedExtension`

Methods inherited from class com.google.protobuf.AbstractMessage
`equals, hashBoolean, hashCode, hashEnum, hashEnumList, hashFields, hashLong, toString`

Methods inherited from class com.google.protobuf.AbstractMessageLite
`toByteArray, toByteString, writeDelimitedTo, writeTo`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`getAllFields, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

Methods inherited from interface com.google.protobuf.MessageLite
`toByteArray, toByteString, writeDelimitedTo, writeTo`

Field Detail

### PROCESS_TYPE_FIELD_NUMBER

    public static final int PROCESS_TYPE_FIELD_NUMBER

See Also:
  Constant Field Values

### ID_FIELD_NUMBER

    public static final int ID_FIELD_NUMBER

See Also:
  Constant Field Values

### PROCESS_ID_FIELD_NUMBER

    public static final int PROCESS_ID_FIELD_NUMBER

See Also:
  Constant Field Values

### STATE_FIELD_NUMBER

    public static final int STATE_FIELD_NUMBER

See Also:
  Constant Field Values

### NODE_INSTANCE_COUNTER_FIELD_NUMBER

    public static final int NODE_INSTANCE_COUNTER_FIELD_NUMBER

See Also:
  Constant Field Values

### PROCESS_XML_FIELD_NUMBER

    public static final int PROCESS_XML_FIELD_NUMBER

See Also:
  Constant Field Values

### SWIMLANE_CONTEXT_FIELD_NUMBER

    public static final int SWIMLANE_CONTEXT_FIELD_NUMBER

See Also:
  Constant Field Values

### NODE_INSTANCE_FIELD_NUMBER

    public static final int NODE_INSTANCE_FIELD_NUMBER

See Also:
  Constant Field Values

### VARIABLE_FIELD_NUMBER

    public static final int VARIABLE_FIELD_NUMBER

See Also:
  Constant Field Values

### EXCLUSIVE_GROUP_FIELD_NUMBER

    public static final int EXCLUSIVE_GROUP_FIELD_NUMBER

See Also:
  Constant Field Values

Method Detail

### getDefaultInstance

    public static JBPMMessages.ProcessInstance getDefaultInstance()

### getDefaultInstanceForType

    public JBPMMessages.ProcessInstance getDefaultInstanceForType()

  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

  Specified by:
    `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

### hasProcessType

    public boolean hasProcessType()

  Specified by:
    `hasProcessType` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getProcessType

    public String getProcessType()

  Specified by:
    `getProcessType` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### hasId

    public boolean hasId()

  Specified by:
    `hasId` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getId

    public long getId()

  Specified by:
    `getId` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### hasProcessId

    public boolean hasProcessId()

  Specified by:
    `hasProcessId` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getProcessId

    public String getProcessId()

  Specified by:
    `getProcessId` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### hasState

    public boolean hasState()

  Specified by:
    `hasState` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getState

    public int getState()

  Specified by:
    `getState` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### hasNodeInstanceCounter

    public boolean hasNodeInstanceCounter()

  Specified by:
    `hasNodeInstanceCounter` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getNodeInstanceCounter

    public long getNodeInstanceCounter()

  Specified by:
    `getNodeInstanceCounter` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### hasProcessXml

    public boolean hasProcessXml()

  Specified by:
    `hasProcessXml` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getProcessXml

    public String getProcessXml()

  Specified by:
    `getProcessXml` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getSwimlaneContextList

    public List<JBPMMessages.ProcessInstance.SwimlaneContextInstance> getSwimlaneContextList()

  Specified by:
    `getSwimlaneContextList` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getSwimlaneContextOrBuilderList

    public List<? extends JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder> getSwimlaneContextOrBuilderList()

  Specified by:
    `getSwimlaneContextOrBuilderList` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getSwimlaneContextCount

    public int getSwimlaneContextCount()

  Specified by:
    `getSwimlaneContextCount` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getSwimlaneContext

    public JBPMMessages.ProcessInstance.SwimlaneContextInstance getSwimlaneContext(int index)

  Specified by:
    `getSwimlaneContext` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getSwimlaneContextOrBuilder

    public JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder getSwimlaneContextOrBuilder(int index)

  Specified by:
    `getSwimlaneContextOrBuilder` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getNodeInstanceList

    public List<JBPMMessages.ProcessInstance.NodeInstance> getNodeInstanceList()

  Specified by:
    `getNodeInstanceList` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getNodeInstanceOrBuilderList

    public List<? extends JBPMMessages.ProcessInstance.NodeInstanceOrBuilder> getNodeInstanceOrBuilderList()

  Specified by:
    `getNodeInstanceOrBuilderList` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getNodeInstanceCount

    public int getNodeInstanceCount()

  Specified by:
    `getNodeInstanceCount` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getNodeInstance

    public JBPMMessages.ProcessInstance.NodeInstance getNodeInstance(int index)

  Specified by:
    `getNodeInstance` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getNodeInstanceOrBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceOrBuilder getNodeInstanceOrBuilder(int index)

  Specified by:
    `getNodeInstanceOrBuilder` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getVariableList

    public List<JBPMMessages.Variable> getVariableList()

  Specified by:
    `getVariableList` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getVariableOrBuilderList

    public List<? extends JBPMMessages.VariableOrBuilder> getVariableOrBuilderList()

  Specified by:
    `getVariableOrBuilderList` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getVariableCount

    public int getVariableCount()

  Specified by:
    `getVariableCount` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getVariable

    public JBPMMessages.Variable getVariable(int index)

  Specified by:
    `getVariable` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getVariableOrBuilder

    public JBPMMessages.VariableOrBuilder getVariableOrBuilder(int index)

  Specified by:
    `getVariableOrBuilder` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getExclusiveGroupList

    public List<JBPMMessages.ProcessInstance.ExclusiveGroupInstance> getExclusiveGroupList()

  Specified by:
    `getExclusiveGroupList` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getExclusiveGroupOrBuilderList

    public List<? extends JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder> getExclusiveGroupOrBuilderList()

  Specified by:
    `getExclusiveGroupOrBuilderList` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getExclusiveGroupCount

    public int getExclusiveGroupCount()

  Specified by:
    `getExclusiveGroupCount` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getExclusiveGroup

    public JBPMMessages.ProcessInstance.ExclusiveGroupInstance getExclusiveGroup(int index)

  Specified by:
    `getExclusiveGroup` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getExclusiveGroupOrBuilder

    public JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder getExclusiveGroupOrBuilder(int index)

  Specified by:
    `getExclusiveGroupOrBuilder` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### isInitialized

    public final boolean isInitialized()

  Specified by:
    `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Overrides:
    `isInitialized` in class `com.google.protobuf.GeneratedMessage`

### writeTo

    public void writeTo(com.google.protobuf.CodedOutputStream output)
                 throws IOException

  Specified by:
    `writeTo` in interface `com.google.protobuf.MessageLite`
  Overrides:
    `writeTo` in class `com.google.protobuf.AbstractMessage`
  Throws:
    `IOException`

### getSerializedSize

    public int getSerializedSize()

  Specified by:
    `getSerializedSize` in interface `com.google.protobuf.MessageLite`
  Overrides:
    `getSerializedSize` in class `com.google.protobuf.AbstractMessage`

### writeReplace

    protected Object writeReplace()
                           throws ObjectStreamException

  Overrides:
    `writeReplace` in class `com.google.protobuf.GeneratedMessage`
  Throws:
    `ObjectStreamException`

### parseFrom

    public static JBPMMessages.ProcessInstance parseFrom(com.google.protobuf.ByteString data)
                                                  throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static JBPMMessages.ProcessInstance parseFrom(com.google.protobuf.ByteString data,
                                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                  throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static JBPMMessages.ProcessInstance parseFrom(byte[] data)
                                                  throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static JBPMMessages.ProcessInstance parseFrom(byte[] data,
                                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                  throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static JBPMMessages.ProcessInstance parseFrom(InputStream input)
                                                  throws IOException

  Throws:
    `IOException`

### parseFrom

    public static JBPMMessages.ProcessInstance parseFrom(InputStream input,
                                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                  throws IOException

  Throws:
    `IOException`

### parseDelimitedFrom

    public static JBPMMessages.ProcessInstance parseDelimitedFrom(InputStream input)
                                                           throws IOException

  Throws:
    `IOException`

### parseDelimitedFrom

    public static JBPMMessages.ProcessInstance parseDelimitedFrom(InputStream input,
                                                                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                           throws IOException

  Throws:
    `IOException`

### parseFrom

    public static JBPMMessages.ProcessInstance parseFrom(com.google.protobuf.CodedInputStream input)
                                                  throws IOException

  Throws:
    `IOException`

### parseFrom

    public static JBPMMessages.ProcessInstance parseFrom(com.google.protobuf.CodedInputStream input,
                                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                  throws IOException

  Throws:
    `IOException`

### newBuilder

    public static JBPMMessages.ProcessInstance.Builder newBuilder()

### newBuilderForType

    public JBPMMessages.ProcessInstance.Builder newBuilderForType()

  Specified by:
    `newBuilderForType` in interface `com.google.protobuf.Message`
  Specified by:
    `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

    public static JBPMMessages.ProcessInstance.Builder newBuilder(JBPMMessages.ProcessInstance prototype)

### toBuilder

    public JBPMMessages.ProcessInstance.Builder toBuilder()

  Specified by:
    `toBuilder` in interface `com.google.protobuf.Message`
  Specified by:
    `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

    protected JBPMMessages.ProcessInstance.Builder newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)

  Specified by:
    `newBuilderForType` in class `com.google.protobuf.GeneratedMessage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.